### Type parameters

- #### T

- #### I: ConditionCheck | Put | Update | Delete

- #### R: TransactBaseOperation<T, I, any>

### Hierarchy

- TransactBaseOperation
  - TransactConditionCheck
  - TransactDelete
  - TransactPut
  - TransactUpdate

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params
- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- returnValuesOnConditionCheckFailure

## Constructors

### Protected constructor

- new TransactBaseOperation(modelClazz: ModelConstructor<T>): TransactBaseOperation

- - Defined in dynamo/transactwrite/transact-base-operation.ts:19

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  #### Returns TransactBaseOperation

## Properties

### metadata

metadata: Metadata<T>

- Defined in dynamo/transactwrite/transact-base-operation.ts:16

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

### params

params: I

Implementation of ConditionalParamsHost.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:15

### Abstract transactItem

transactItem: TransactWriteItem

- Defined in dynamo/transactwrite/transact-base-operation.ts:19

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/transactwrite/transact-base-operation.ts:42

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### onlyIfAttribute

- onlyIfAttribute(attributePath: keyof T): RequestConditionFunction<R>

- - Defined in dynamo/transactwrite/transact-base-operation.ts:38

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<R>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): void

- - Defined in dynamo/transactwrite/transact-base-operation.ts:48

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns void

Generated using TypeDoc